Package org.sonatype.plexus.components.sec.dispatcher.model

## Class Config

- java.lang.Object
- - org.sonatype.plexus.components.sec.dispatcher.model.Config

All Implemented Interfaces:
  `java.io.Serializable`

    public class Config
    extends java.lang.Object
    implements java.io.Serializable

Named configuration.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

### Constructor Summary

Constructors
`Config()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addProperty​(ConfigProperty configProperty)` Method addProperty.
`java.lang.String` `getName()` Get name of this configuration.
`java.util.List` `getProperties()` Method getProperties.
`void` `removeProperty​(ConfigProperty configProperty)` Method removeProperty.
`void` `setName​(java.lang.String name)` Set name of this configuration.
`void` `setProperties​(java.util.List properties)` Set properties.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Config

    public Config()

### Method Detail

#### addProperty

    public void addProperty​(ConfigProperty configProperty)

Method addProperty.

Parameters:
  `configProperty` -

#### getName

    public java.lang.String getName()

Get name of this configuration.

Returns:
  String

#### getProperties

    public java.util.List getProperties()

Method getProperties.

Returns:
  List

#### removeProperty

    public void removeProperty​(ConfigProperty configProperty)

Method removeProperty.

Parameters:
  `configProperty` -

#### setName

    public void setName​(java.lang.String name)

Set name of this configuration.

Parameters:
  `name` -

#### setProperties

    public void setProperties​(java.util.List properties)

Set properties.

Parameters:
  `properties` -